Package org.eclipse.net4j.util.container

## Class ContainerUtil

- java.lang.Object
- - org.eclipse.net4j.util.container.ContainerUtil

-     public final class ContainerUtil
      extends java.lang.Object

  Various static helper methods for dealing with `containers`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PROP_CONTAINER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IManagedContainer` | `createContainer()` |
    `static IManagedContainer` | `createPluginContainer()` | Creates a new managed container that discovers factory and element processor registrations in plug-in extensions.
    `static IContainer<java.lang.Object>` | `emptyContainer()` |
    `static IManagedContainer` | `getContainer​(java.lang.Object object)` |
    `static java.lang.Object[]` | `getElements​(java.lang.Object container)` |
    `static boolean` | `isEmpty​(java.lang.Object container)` |
    `static void` | `prepareContainer​(IManagedContainer container)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_CONTAINER

          public static final java.lang.String PROP_CONTAINER

      Since:
        3.15
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getContainer

          public static IManagedContainer getContainer​(java.lang.Object object)

      Since:
        3.15

    - #### prepareContainer

          public static void prepareContainer​(IManagedContainer container)

      Since:
        2.0

    - #### emptyContainer

          public static IContainer<java.lang.Object> emptyContainer()

    - #### createContainer

          public static IManagedContainer createContainer()

    - #### isEmpty

          public static boolean isEmpty​(java.lang.Object container)

    - #### getElements

          public static java.lang.Object[] getElements​(java.lang.Object container)

    - #### createPluginContainer

          public static IManagedContainer createPluginContainer()

      Creates a new managed container that discovers factory and element processor registrations in plug-in extensions.
      Since:
        3.3